Element
Keywords: uk.ac.ic.doc.automed.xmlschema.xsdomobject.Element class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema.xsdomobject
Class Element

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.xsdomobject.XSDOMObject
          uk.ac.ic.doc.automed.xmlschema.xsdomobject.Element

All Implemented Interfaces:
  java.awt.datatransfer.Transferable, java.io.Serializable, XSDOMObj

    public class Element

extends XSDOMObject

Define the internal representation for an XMLSchema element

See Also:
  Serialized Form

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.xmlschema.xsdomobject.XSDOMObject
`icon, keyref, maxOccurs, minOccurs, name, p, TREE_PATH_FLAVOR, type`

Constructor Summary
`Element(java.lang.String name, java.lang.String type)` Creates a new instance of Element
`Element(java.lang.String name, java.lang.String type, int minOccurs, boolean maxOccurs)` Creates a new instance of Element with a type and a boundedness

Method Summary

Methods inherited from class uk.ac.ic.doc.automed.xmlschema.xsdomobject.XSDOMObject
`getIcon, getKeyRef, getMaxOccurs, getMinOccurs, getName, getTransferData, getTransferDataFlavors, getType, isDataFlavorSupported, setIcon, setKeyRef, setMaxOccurs, setMinOccurs, setName, setPath, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Element

    public Element(java.lang.String name,
                   java.lang.String type)

  Creates a new instance of Element

### Element

    public Element(java.lang.String name,
                   java.lang.String type,
                   int minOccurs,
                   boolean maxOccurs)

  Creates a new instance of Element with a type and a boundedness

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD